2026-03-17  Collin Funk  <collin.funk1@gmail.com>

	version 2.12.3
	* NEWS: Record release date.

	build: use Gnulib's lib-ignore module
	* Makefile.am (AM_LDFLAGS): New variable.
	* bootstrap.conf (gnulib_modules): Add lib-ignore. Sort module list
	using 'LC_ALL=C sort'.

	maint: use cksum specific checksums in release announcement
	* cfg.mk (announce_gen_args): New variable.

2026-03-17  Collin Funk  <collin.funk1@gmail.com>

	build: fix build with BSD 'make' implementations
	On FreeBSD, NetBSD, and OpenBSD 'make' fails with an error similar to
	the following:

	    $ make
	    make  all-recursive
	    Making all in po
	    make[2]: don't know how to make ./lib/libhello.a. Stop

	    make[2]: stopped making "all-am" in /usr/home/collinfunk/hello
	    *** Error code 1
	    [...]

	This is because the target lacks the "./" prefix that is in the
	dependency.

	* NEWS: Mention the improvement.
	* Makefile.am (hello_LDADD): Remove $(top_builddir) prefix.

2026-03-17  Collin Funk  <collin.funk1@gmail.com>

	build: update gnulib submodule to latest

	maint: substitute @PACKAGE@ with the package name in README-release
	* bootstrap.conf (bootstrap_epilogue): Add the recommended perl
	one-liner.

2026-02-09  Collin Funk  <collin.funk1@gmail.com>

	build: update gnulib submodule to latest
	* NEWS: Mention the build now succeeds on glibc-2.43.

2026-02-08  Collin Funk  <collin.funk1@gmail.com>

	doc: don't document short options for --help and --version
	These were removed in commit e8e46123cfe62170a2f7f79db6b471b66ae36947.
	Reported by Lorenzo Lomartire in
	<https://savannah.gnu.org/bugs/?68030>.

	* doc/hello.texi (Invoking hello): Don't list the unsupported -h and -v
	short options.

2026-01-28  Collin Funk  <collin.funk1@gmail.com>

	maint: ignore some generated documentation files
	* .gitignore: Ignore the html directory created by 'make html' and the
	directories made by 'make pdf ps dvi'.

2026-01-24  Collin Funk  <collin.funk1@gmail.com>

	doc: suggest 'git format-patch' for contributing changes
	* doc/hello.texi (Reporting bugs): Suggest 'git format-patch' instead of
	'diff -c' for contributing patches.

2026-01-17  Collin Funk  <collin.funk1@gmail.com>

	maint: add a note about copyright year ranges
	* README: Describe copyright year ranges as required in "Information for
	Maintainers of GNU Software".

2026-01-03  Collin Funk  <collin.funk1@gmail.com>

	maint: fix 'make syntax-check' failure
	* doc/.gitignore: Add a newline so the sc_prohibit_empty_lines_at_EOF
	syntax-check no longer fails.

	maint: run 'make update-copyright'
	* NEWS: Update using 'make update-NEWS-hash'.

	build: update gnulib submodule to latest
	* bootstrap: Update using './bootstrap --bootstrap-sync'.

2025-07-25  Collin Funk  <collin.funk1@gmail.com>

	build: respect Automake silent-rules when generating hello.1
	* Makefile.am (hello.1): Use $(AM_V_GEN) and $(AM_V_at).

2025-07-12  Collin Funk  <collin.funk1@gmail.com>

	build: fix build on platforms with non-empty $(EXEEXT)
	* Makefile.am (hello.1): Add $(EXEEXT) to the 'hello' program dependency
	and invocation.
	* .gitignore (*.exe): Add entry.

2025-05-19  Reuben Thomas  <rrt@sc3d.org>

	maint: add manual subdirectory to doc/.gitignore
	For “make web-manual-update”

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 2.12.2
	* NEWS: Record release date.

	maint: add recent changes to NEWS

	build: remove automake and autoconf from bootstrap deps
	Bootstrap checks these dependencies anyway, and the versions given were
	out of sync with the canonical requirements (in configure.ac) and way
	out of date.

2025-05-19  Collin Funk  <collin.funk1@gmail.com>

	maint: run 'make update-copyright'
	* .x-update-copyright: Ignore some imported files when updating
	copyright dates.
	* cfg.mk (old_NEWS_hash): Update hash of NEWS to reflect copyright date
	change.

2025-05-19  Reuben Thomas  <rrt@sc3d.org>

	maint: allow gnulib to update po/.gitignore

	maint: remove contrib/
	The last file left was evolution.txt, whose contents is safe elsewhere
	on the net.

	maint: remove contrib/de_franconian_po.txt
	This file is decades out of date, and though there appears to be no
	Franconian pofile currently available, one could be created through the
	Translation Project if desired.

2025-05-19  Collin Funk  <collin.funk1@gmail.com>

	maint: Update required gettext version to 0.19.2
	* configure.ac (AM_GNU_GETTEXT_VERSION): Require gettext 0.19.2 since
	0.18.1 uses deprecated Autoconf and Automake macros.

	maint: update module names to reflect Gnulib renaming
	* bootstrap.conf (gnulib_modules): Change wchar to wchar-h.

	maint: fix sc_codespell failure
	* cfg.mk (codespell_ignore_words_list): Ignore some man syntax and
	"debugs" that codespell does not understand.
	(codespell_ignore_words_list): Don't check THANKS and files in contrib/
	for typos.

	build: update gnulib submodule to latest
	* bootstrap: Updating using './bootstrap --bootstrap-sync'.

2024-07-03  Collin Funk  <collin.funk1@gmail.com>

	maint: remove the obsolete gettext module
	* bootstrap.conf (gnulib_modules): Remove gettext. Use the gettext-h
	module instead.
	* Makefile.am (hello_LDADD): Update libraries according to current
	./bootstrap invocation.

	maint: use mbszero
	* bootstrap.conf (gnulib_modules): Add mbszero.
	* src/hello.c (main): Use mbszero to set the initial conversion state.

2024-07-03  Collin Funk  <collin.funk1@gmail.com>

	maint: copy fdl.texi instead of using the gnulib module
	Using the module gives the following message:

	    $ gnulib-tool --extract-notice fdl
	      Don't use this module! Instead, copy the referenced license \
	      file into your version control repository.

	* bootstrap.conf (gnulib_modules): Remove fdl.
	* doc/.gitignore (/fdl.texi): Remove entry.
	* doc/fdl.texi: Add file from Gnulib.

2024-07-03  Collin Funk  <collin.funk1@gmail.com>

	maint: don't use the deprecated stdnoreturn module
	* bootstrap.conf (gnulib_modules): Remove stdnoreturn.
	* src/hello.c: Don't include <stdnoreturn.h>. Gnulib will define
	_Noreturn in <config.h> if the compiler does not support the C11
	keyword.

	maint: prefer #include <...> for gnulib substitute headers
	* src/hello.c: Change #include "errno.h" to #include <errno.h>.
	Change #include "error.h" to #include <error.h>.

	maint: reformat code according to GNU coding standards
	* cfg.mk (local-checks-to-skip): Add sc_indent.
	* src/hello.c (print_help): Limit lines to 79 characters. Use spaces
	instead of tabs. Use foo () instead of foo().
	(parse_options): Likewise. Allow short enums on a single line.
	(main): Use foo () instead of foo().

	maint: sync latest bootstrap from gnulib

	build: update gnulib submodule to latest

2024-07-03  Reuben Thomas  <rrt@sc3d.org>

	maint: run 'make update-copyright'
	* cfg.mk (old_NEWS_hash): Update hash of NEWS to reflect copyright
	date change.

	Patch from Collin Funk.

2023-06-22  Bruno Haible  <bruno@clisp.org>

	build: Ensure that makeinfo ≥ 6.8 checks the @menu structure
	See
	<https://lists.gnu.org/archive/html/bug-texinfo/2023-06/msg00015.html>.

	* doc/local.mk (AM_MAKEINFOFLAGS): New variable.

2022-07-25  Reuben Thomas  <rrt@sc3d.org>

	gnulib: remove use of deprecated module non-recursive-gnulib-prefix-hack
	Use gnulib-tool’s --automake-subdir option instead.

	Thanks, Bruno Haible.

2022-05-29  Reuben Thomas  <rrt@sc3d.org>

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 2.12.1
	* NEWS: Record release date.

	doc: add NEWS for 2.12.1

2022-04-06  Reuben Thomas  <rrt@sc3d.org>

	doc: fix grammar in hello.x (thanks, Logan!)

2022-01-31  Reuben Thomas  <rrt@sc3d.org>

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	maint: add NEWS for 2.12

	version 2.12
	* NEWS: Record release date.

2022-01-31  Reuben Thomas  <rrt@sc3d.org>

	maint: allow atexit-1 test to work when wprintf failed
	The test assumed that there was no error before closing stdout. When
	there is, the output is different (close_stdout detects a previous
	error).

	Hence, detect just the “write error” part of the output, which is
	constant.

	(The other part may depend on the libc anyway.)

2022-01-27  Reuben Thomas  <rrt@sc3d.org>

	tests: remove multibyte-1 test
	There is no way to make wide character conversion fail reliably: in
	particular, some libc’s, such as musl, allow conversion even in the C
	locale; and glibc allows it in 8-bit locales.

2022-01-12  Reuben Thomas  <rrt@sc3d.org>

	doc: fix typo in man/hello.x (thanks, Jens Schleusener!)

2022-01-11  Reuben Thomas  <rrt@sc3d.org>

	maint: add manual_title to cfg.mk

2022-01-05  Reuben Thomas  <rrt@sc3d.org>

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 2.11
	* NEWS: Record release date.

	maint: fix the format of NEWS by adding header line

	maint: bump old_NEWS_hash, which has gotten out of sync

	build: add src/system.h to po/POTFILES.in

	build: add tight-scope.mk

	doc: update NEWS for next release

	doc: update copyright year
	* doc/hello.texi: update copyright year to 2022

2020-12-28  Sami Kerola  <kerolasa@iki.fi>

	maint: update gnulib
	* Jump 3062 commits ahead from d3181471f95c8 to bbaba6ce591b94.
	* Require autoconf 2.64 or newer. This is due autoconf-2.70
	  requirements.
	* Copy updated version of the bootstramp from gnulib.

2019-02-09  Sami Kerola  <kerolasa@iki.fi>

	hello: fix couple compiler warnings
	* parse_options: add static keyword to avoid need for prototype.
	* break: remove code that is never executed.

2019-01-21  Sami Kerola  <kerolasa@iki.fi>

	maint: stop using variable-length arrays
	* configure.ac: Set definition used in gnulib.
	* gnulib: Jump 15 commits from 34290cb926e65 to 5ddb2f9d460a8.

2019-01-20  Sami Kerola  <kerolasa@iki.fi>

	tests: add two new tests
	* tests/atexit-1: Check atexit handling works correctly.
	* tests/operand-1: Check extra operand failure.
	* Makefile.am: Make autotools aware of the new tests.

	hello: move option parsing to function
	* src/hello.c: This makes main() easier to read.

	hello: re-order functions to avoid forward declarations
	* src/hello.c: ditto.

	hello: use strlen() to find greeting length
	* src/hello.c: ditto.
	* tests/multibyte-1: check multibyte strings fail correctly.
	* Makefile.am: make autotools aware of the new test.

	maint: use version and bug report printing from gnulib
	* bootstrap.conf: include propername and version-etc-fsf modules.
	* configure.ac: remove no-longer needed COPYRIGHT_YEAR.
	* Makefile.am: add empty MAINTAINERCLEANFILES variable.
	* src/hello.c: use version_etc() and emit_bug_reporting_address().
	* po/POTFILES.in: add lib/version-etc.c to translations sources.

	maint: use 'Try --help' statements at failure
	* src/system.h: copy define from coreutils.
	* src/hello.c: use emit_try_help().

	maint: update all copyright year number ranges
	* Run "make update-copyright".
	* Add copyright notice 'contrib/evolution.txt' and 'NEWS' files.

2019-01-15  Sami Kerola  <kerolasa@iki.fi>

	maint: update bootstrap and git-version-gen files
	* bootstrap: Copy latest file from gnulib.
	* build-aux/git-version-gen: Likewise.

	maint: update gnulib
	* Jump 1184 commits a head from  d3181471f95c8 to 34290cb926e65.
	* Require autoconf 2.63 or newer, se gnulib commit 844f63f9576ebb74f.

2017-10-05  Sami Kerola  <kerolasa@iki.fi>

	maint: use updated gpl-3.0 license file
	* COPYING: Use HTTP over Transport Layer Security.

	Reference: https://www.gnu.org/licenses/gpl-3.0.txt
	sha256sum:
	3972dc9744f6499f0f9b2dbf76696f2ae7ad8af9b23dde66d6af86c9dfb36986

2017-09-27  Sami Kerola  <kerolasa@iki.fi>

	maint: prefer https URLs
	* all: Use HTTP over Transport Layer Security.

2017-03-03  Sami Kerola  <kerolasa@iki.fi>

	maint: update all copyright year number ranges
	* cfg.mk: Add copyright update environment settings.
	* And run 'make update-copyright'.

	maint: update bootstrap and git-version-gen files
	* bootstrap: Copy latest file from gnulib.
	* bootstrap.conf: Likewise.
	* build-aux/git-version-gen: Likewise.

	maint: update gnulib
	* Jump 867 commits a head from b9bfe78424b87 to d3181471f95c8.
	* build-aux/.gitignore: Add file from gnulib to ignore list.
	* doc/.gitignore: Likewise.

2017-02-11  Sami Kerola  <kerolasa@iki.fi>

	build: include headers proposed by bootstrap output
	* src/hello.c: include missing headers and add spacing to give hint
	  which headers are more special than the other.  Notic that config.h
	  and system.h should be included earlier rather than later, else
	  features, translations, and such might not work correctly.

2017-02-11  Sami Kerola  <kerolasa@iki.fi>

	hello: Mark print_help() not to return
	* bootstrap.conf: include stdnoreturn module.
	* src/hello.c: mark print_help() not to return, and remove unreachable
	  code.

	Reference: https://www.gnu.org/software/gnulib/manual/html_node/
	stdnoreturn_002eh.html

2016-12-16  Bruno Haible  <bruno@clisp.org>

	Make the greeting-2 test POSIX compliant and traceable through "sh -x".
	* tests/greeting-2: Don't use the "set - ARGS" idiom. References:
	https://www.gnu.org/savannah-checkouts/gnu/autoconf/manual/autoconf-2.69/html_node/Limitations-of-Builtins.html
	http://pubs.opengroup.org/onlinepubs/9699919799/utilities/V3_chap02.html

2015-01-30  Sami Kerola  <kerolasa@iki.fi>

	hello: remove -h and -v short options
	* src/hello.c: Move long options structure to function scope.
	* src/hello.c: Remove -h and -v options, and leave --help and --version
	  as they were.
	* src/system.h: Add limits.h that provides CHAR_MAX needed by long-only
	  options.

	Discussion:
	http://lists.gnu.org/archive/html/bug-hello/2015-01/msg00001.html

2015-01-02  Sami Kerola  <kerolasa@iki.fi>

	hello: slice print_help() lines and add Translation Project address
	* src/hello.c: Slice each option to individually translatable line.
	  This is what the translation project members want.  To back the claim
	  see util-linux survey results about the topic.  http://goo.gl/BGQ0IV
	* src/hello.c: Make usage output to be printed to stdout when --help is
	  requested, and stderr when the message is given as hint user should
	  do something other.
	* src/hello.c: Add Translation Project address to the bug reports line,
	  similarly what the coreutils is doing.
	* src/hello.c: Exit with none-zero value when option operand error
	  happens.

	build: add write bit to manual page file in distribution file
	* Makefile.am (hello.1): Extracted distribution package should be
	removable without --force option.
	Reported by Benno Schulenberg.

2015-01-01  Sami Kerola  <kerolasa@iki.fi>

	maint: add copyright update to TODO file
	And include instructions how the Translation Project pot file upload is
	done.

2015-01-01  Sami Kerola  <kerolasa@iki.fi>

	build: update gnulib
	Update copyright year to 2015.

	* gnulib: jump 67 commits a head

2015-01-01  Sami Kerola  <kerolasa@iki.fi>

	maint: update all copyright year number ranges
	Run "make update-copyright" and

	* configure.ac: Add copyright header.
	* contrib/de_franconian_po.txt: Translate copyright sign ascii
	character to capital C in round braces in order to get the file to be
	part of "make update-copyright" scope.

2014-12-28  Sami Kerola  <kerolasa@iki.fi>

	maint: update .gitignore
	* po/.gitignore: add Makefile.in.in~ to ignore list.

	scripts: check files exist before comparing
	* bootstrap.conf: Add if clause before cmp(1) call.

2014-12-28  Sami Kerola  <kerolasa@iki.fi>

	copy: add git hooks from coreutils
	Copy git hooks from coreutils to assure commit messages are suitable
	for ChangeLog.  For example 'Signd-off-by' lines should not be used,
	and such error has already slipped twice to hello, see 9aaee4c9 and
	bc966b6f.

	* bootstrap.conf: Add bootstrap_epilogue() to maintain up to date copy
	  of scripts in .git/hooks/ directory.
	* scripts/git-hooks/applypatch-msg: Add script.
	* scripts/git-hooks/commit-msg: Add script.
	* scripts/git-hooks/pre-applypatch: Add script.
	* scripts/git-hooks/pre-commit: Add script.

2014-11-17  Reuben Thomas  <rrt@sc3d.org>

	Makefile.am: remove obsolete wwwdoc target

2014-11-16  Sami Kerola  <kerolasa@iki.fi>

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 2.10
	* NEWS: Record release date.

	Add NEWS for release 2.10

2014-10-29  Sami Kerola  <kerolasa@iki.fi>

	update bootstrap from gnulib
	* bootstrap: print more diagnostics for missing programs

	update gnulib
	* gnulib: jump 120 commits a head

2014-08-20  Sami Kerola  <kerolasa@iki.fi>

	build: revert AM_TESTS_ENVIRONMENT to TESTS_ENVIRONMENT
	* Makefile.am: prefer TESTS_ENVIRONMENT rather than AM_TESTS_ENVIRONMENT
	  to avoid problems with older automake versions.  For example Travis-CI
	  is not working because of this issue, or Debian stable cannot be used
	  to build upstream GNU Hello.
	* configure.ac: automake 1.12 or newer will not allow combination of
	  parallel-tests and TESTS_ENVIRONMENT.

	Reference:
	http://lists.gnu.org/archive/html/bug-hello/2014-07/msg00003.html

2014-07-26  A. Gordon  <assafgordon@gmail.com>

	build: generate man-page only when appropriate
	* configure.ac: detect compilation under git (vs tarball), and
	cross-compilation.
	* Makefile.am:
	1) re-generate (and clean) man-page only when building from git.
	2) if building from git AND cross-compiling, don't add target for
	   man-page - there's no way to generate it.

	Possible future improvement: If cross-compliing from git, AND user have
	'binfmt' configured to run non-native binaries, then the man-page can be
	generated.

	Reference:
	http://lists.gnu.org/archive/html/bug-hello/2014-07/msg00001.html

2014-05-04  Jim Meyering  <meyering@fb.com>

	maint: add gnulib's update-copyright module
	* bootstrap.conf (gnulib_modules): Add update-copyright, so
	that each year we can run "make update-copyright".
	Otherwise, that rule fails due to the absence of the file
	in build-aux.

	maint: don't let envvar setting break ChangeLog generation
	* Makefile.am (gen-ChangeLog): Clear amend_git_log when we
	don't set it, so that an envvar setting cannot cause trouble.

2014-04-20  Sami Kerola  <kerolasa@iki.fi>

	maint: add an example how to use git-log-fix file
	* build-aux/git-log-fix: ditto

2014-04-20  Pádraig Brady  <P@draigBrady.com>

	build: make git-log-fix optional in make dist
	* Makefile.am (gen_changelog): Make git-log-fix optional.
	Also only remove existing Changelog on successful completion
	of gitlog-to-changelog and propogate exit status appropriately.

2014-04-20  Sami Kerola  <kerolasa@iki.fi>

	Revert "maint: make ChangeLog generation more robust"
	I should have used patch sent by Pádraig Brady to GNU Hello maillist.

	This reverts commit fb1c5fbd5eee3ab6e3270b6aaf4037bca8ab20bd.

2014-04-20  Sami Kerola  <kerolasa@iki.fi>

	update gnulib
	* gnulib: jump 56 commits a head

	maint: make ChangeLog generation more robust
	* Makefile.am (gen-ChangeLog): Check the git-log-fix file is present
	before trying to use it.  This change was made to coreutils by Pádraig
	Brady and copied to GNU Hello as-is.
	* build-aux/git-log-fix: Add example how to use git-log-fix file.

2014-03-13  Jim Meyering  <meyering@fb.com>

	maint: accommodate "make syntax-check"
	* doc/hello.texi: Replace itemized copyright year numbers with an
	equivalent range, to placate a "make syntax-check" rule.

	maint: make po/POTFILES.in consistent
	* po/POTFILES.in: Remove src/system.c: it no longer contains any
	translatable strings.

	maint: update all copyright dates via "make update-copyright"

	build: do not fail due to an existing read-only hello.1
	* Makefile.am (hello.1): In Makefile rules, never redirect directly
	to the target.  Instead, redirect to a temporary, $@-t, and once
	that succeeds, rename to target using "mv -f".
	Also, since this is a generated file, explicitly make it read-only,
	so one is less likely to think it is an editable primary source.
	Reported by Assaf Gordon.

2014-01-13  Sami Kerola  <kerolasa@iki.fi>

	update NLS file sources
	* .gitignore: ignore 'make po-check' files
	* Makefile.am: ignore gnulib/ directory contents when po-check'ing
	* po/POTFILES.in: add file po-check found not to be part of translations

	update gnulib
	* gnulib: jump 319 commits a head

	demonstrate how to add information to a manual page
	* man/hello.x: ditto

	use standard error printing facilities
	* bootstrap.conf: add error module
	* src/hello.c: use error() where needed

2013-12-31  Sami Kerola  <kerolasa@iki.fi>

	make none-recursive build commit 714f2a2 complete
	* .gitignore: ignore test-suite.log
	* tests/Makefile.am: remove unnecessary file

2013-12-29  Sami Kerola  <kerolasa@iki.fi>

	remove unnecessary code from GNU Hello
	* src/hello.c: remove --next-generation print out format
	* man/hello.x: remove --next-generation related BUG item
	* Makefile.am: remove --next-generation test
	* doc/hello.texi: remove --next-generation documentation
	* tests/multiline-box-1: removal
	* tests/last-1: remove use of -n option

	Karl Berry proposed the removal.

2013-12-25  Sami Kerola  <kerolasa@iki.fi>

	update copyright years
	Makefile.am: this file was updated in 2013
	README: likewise
	cfg.mk: likewise
	src/system.h: likewise
	tests/last-1: likewise

	clean up translation related files
	* po/.gitignore: ignore generated po files
	* po/<various>: remove generated files

2013-12-12  Sami Kerola  <kerolasa@iki.fi>

	add bugs section to manual page
	* Makefile.am: make help2man to use include file
	* man/hello.x: description of the issue

2013-12-12  Reuben Thomas  <rrt@sc3d.org>

	Fix i18n of default message: don't initialise it before we set up gettext

2013-12-04  Sami Kerola  <kerolasa@iki.fi>

	fix new format when printing multiple lines
	* Makefile.am: add test
	* src/hello.c: add new function print_box()
	* tests/multiline-box-1: test multiline printing

2013-11-30  Sami Kerola  <kerolasa@iki.fi>

	document patching process
	* README: add patching process segment

2013-11-20  Reuben Thomas  <rrt@sc3d.org>

	Update translations from Translation Project.

2013-11-20  Sami Kerola  <kerolasa@iki.fi>

	generate ChangeLog from git log
	* .gitignore: ignore generated file
	* ChangeLog.O: move contents of old ChangeLog to archive file
	* Makefile.am: add generation of ChangeLog to dist-hook
	* bootstrap.conf: add gitlog-to-changelog module
	* build-aux/.gitignore: ignore gitlog-to-changelog
	* build-aux/git-log-fix: add filter file

	remove README-alpha
	* README-alpha: remove file as asked in TODO file
	* TODO: update file

	be specific when .gitignoring files
	* .gitignore: use absolute repository paths when possible

	use none-recursive make
	* .gitignore: update paths
	* Makefile.am: collect build rules to this file
	* bootstrap.conf: use new module
	* build-aux/.gitignore: ignore new module
	* configure.ac: remove old Makefiles
	* contrib/Makefile.am: remove
	* doc/Makefile.am: remove
	* doc/local.mk: add texi rules
	* lib/local.mk: add phony target
	* src/Makefile.am: remove

	update bootstrap script and configuration
	* bootstrap: copy from gnulib upstream
	* bootstrap.conf: copy from gnulib upstream

	add git-version-gen from gnulib/build-aux
	* configure.ac: change AC_INIT version to call a script
	* git-version-gen: add version determinator script

2013-10-10  Reuben Thomas  <rrt@sc3d.org>

	Update Thai strings.

	Update Ukrainian strings.

	Update Brazilian strings.

	Fix web-manual-update.
	* Makefile.am: don't quote manual_title's value

	Update Dutch translation.

	Update Slovak translation.

	Update instructions for posting bugs, patches &c.
	* README: mention Savannah, copyright assignment. (Thanks to Sami
	  Kerola for suggesting the change.)

2013-10-09  Reuben Thomas  <rrt@sc3d.org>

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 2.9
	* NEWS: Record release date.

	Add NEWS for release 2.9.

	Update translations.

	hello.texi: adjust now that new-style greeting can be user text; update copyright year.

	Bump version to 2.9.

2013-10-09  Sami Kerola  <kerolasa@iki.fi>

	make hello unicode aware
	* bootstrap.conf: add necessary gnulib modules for unicode support.
	* hello.c: allow user message, or translated, greeting to have unicode
	  characters.

	make copyright year pseudo dynamic
	configure.ac: Add macro to determine what year is it, and add the value
	to config.h.
	hello.c: Use copyright year from config.h.

	re-indent to match with gnu coding style
	* Done with 'indent -gnu -l80 src/*.{c,h}'

	use PACKAGE_NAME from config.h

	clean up configure.ac syntax
	* Add hello project web url.
	* Use dnl for comments.
	* Prefer AS_IF() instead of shell 'if'.

	reuse AM_INIT_AUTOMAKE bug-email address

	bootstrap: update from gnulib
	* bootstrap: new version will allow use of URL parameter in AC_INIT
	macro.

2013-10-09  Reuben Thomas  <rrt@sc3d.org>

	allow user message to use new-generation greeting format (patch from Sami Kerola)

2013-05-04  Reuben Thomas  <rrt@sc3d.org>

	gnulib has fixed a TODO for us (patch from Sami Kerola)

	Add some more patterns to .gitignore files (thanks, Sami Kerola)

	tests/Makefile.am: add a missing backslash

2013-05-01  Reuben Thomas  <rrt@sc3d.org>

	Use parallel tests harness, to fix make check with newer automake.
	* configure.ac (AM_INIT_AUTOMAKE): Add the 'parallel-tests' option.
	Also, require Automake >= 1.11.1, since that option was only introduced
	in the 1.11.x, and Automake 1.11 should not be used because it suffered
	from few serious bugs.
	(AC_PREREQ): Require Autoconf 2.62, since that is the minimal version
	required by Automake 1.11 anyway.
	* tests/Makefile.am (TESTS_ENVIRONMENT): Split into ...
	(AM_TESTS_ENVIRONMENT, LOG_COMPILER): ... these two, and adjust to the
	slightly different APIs.

2013-04-30  Reuben Thomas  <rrt@sc3d.org>

	bootstrap: fix to work with latest autotools
	Patch from Stefano Lattarini <stefano.lattarini@gmail.com>

2013-03-17  Reuben Thomas  <rrt@sc3d.org>

	Update Turkish strings from translation project.

2013-02-12  Reuben Thomas  <rrt@sc3d.org>

	Update Chinese (traditional) strings from translation project.

2013-01-08  Reuben Thomas  <rrt@sc3d.org>

	hello.c: clarify help text

	Remove generated files

	Update gnulib

2013-01-02  Reuben Thomas  <rrt@sc3d.org>

	Update Catalan strings.

2012-12-05  Reuben Thomas  <rrt@sc3d.org>

	Update Croatian strings.

2012-11-11  Reuben Thomas  <rrt@sc3d.org>

	Update Galician translations.

2012-10-08  Reuben Thomas  <rrt@sc3d.org>

	translations: update

2012-05-27  Reuben Thomas  <rrt@sc3d.org>

	Makefile.am: Distribute README-dev, to avoid a missing cross-ref from README (thanks, Santiago Vila).

2012-05-26  Reuben Thomas  <rrt@sc3d.org>

	Update translations.

2012-04-23  Reuben Thomas  <rrt@sc3d.org>

	Update translations.

2012-04-21  Reuben Thomas  <rrt@sc3d.org>

	Update translations.

2012-04-20  Reuben Thomas  <rrt@sc3d.org>

	gnulib: add gnu-web-doc-update.

2012-04-19  Reuben Thomas  <rrt@sc3d.org>

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	NEWS: add for 2.8.

	gnulib: add announce-gen.

	version 2.8
	* NEWS: Record release date.

	Gettext update.

	NEWS: reformat to work with do-release-commit-and-tag.

	Bump version to 2.8: build system changes warrant it.

2012-04-18  Reuben Thomas  <rrt@sc3d.org>

	git: ignore some generated files.

	gnulib: add .prev-version for do-release-commit-and-tag.

	gnulib: add do-release-commit-and-tag.

	Remove some generated files.

	Update gettext.

	Fix various nits found by make syntax-check, and remove more generated files.

	Remove generated file po/Makefile.in.in.

	Update gettext.

	Switch to a more standard way of using gnulib, as a git submodule.

	Remove checked-in gnulib files.

	VCS admin: move .bzrignore to .gitignore and update for git.

2012-04-15  Reuben Thomas  <rrt@sc3d.org>

	gnulib: Remove erroneously-commited files.

2012-04-14  Reuben Thomas  <rrt@sc3d.org>

	README-dev: neaten up and refer to Bazaar, not CVS.

	gnulib: add tight-scope.mk.

	.bzrignore: Add .sc-start-*.

	Add some more gnulib modules to help with releases.

	Makefile.am: genericize some CVS-specific references.

	Update .po files with respect to sources and tools.

	Makefile.am: remove diff and diffcheck targets, as we don't plan to distribute diffs any more.

	configure.ac: Remove dist-xz option from AM_INIT_AUTOMAKE: stick to defaults where possible.

2012-04-13  Reuben Thomas  <rrt@sc3d.org>

	autogen.sh: Give correct VCS name.

	Update zh_TW.po from translationproject.org; previously checked in a bogus file.

	Merge from head.

	Update gnulib.

	configure.ac: bump version to 2.7.1.

2012-04-11  Reuben Thomas  <rrt@sc3d.org>

	Update zh_TW.po from translationproject.org.

2012-03-02  Reuben Thomas  <rrt@sc3d.org>

	Update vi.po from translationproject.org.

	Bump version.

	Update sr.po from translationproject.org; second attempt.

2012-03-01  Reuben Thomas  <rrt@sc3d.org>

	i18n: update vi.po from translationproject.org.

2012-01-06  Reuben Thomas  <rrt@sc3d.org>

	Update sr.po from translationproject.org.
